Jump to content

Participation Required: Post up your "weird" custom setups


tzframpton

Recommended Posts

Here's an update on my PGP file actually:

 

C, *COPY

CR,*CIRCLE

D, *DIST

Q, *MATCHPROP

V, *DIMLINEAR

VV,*QLEADER

MN,*MIRROR

XX,*EXPLODE

X, *EXTEND

T, *TRIM

TT,*TEXT

P, *PLINE

LK,*LAYFRZ

R, *ROTATE

REF,*REFEDIT

WW,*LAYMCUR

PP,*PEDIT

RER,*RECTANGLE

BB,*BREAK

DSS,*DIMSCALE

REV,*REVCLOUD

QQ,*LAYCUR

QS,*QSELECT

FF,*FILTER

VA,*DIMALIGNED

DD,*DDEDIT

DA,*DUCTADD

PRP,*PRESSPULL

Link to comment
Share on other sites

  • Replies 75
  • Created
  • Last Reply

Top Posters In This Topic

  • tzframpton

    11

  • dbroada

    10

  • Seann

    7

  • alanjt

    6

Top Posters In This Topic

Posted Images

`, *QLEADER

1, *LayerCurrent

2, *LayerSet

3, *LayerOff

4, *LayerFreeze

5, *MLEADER

6, *LayerMatchSet

7, *LIST

8, *LayerP

9, *EXTRIM

0, *MATH

MM, *MATCHPROP

BP, *BPOLY

OF, *LAYOFF

FE, *LAYFRZ

BC, *BSCALE

CV, *COPY

CH, *CHPROP

D, *DIST

IN, *-INSERT

LA, *-LAYER

LAY, *CLASSICLAYER

R, *ROTATE

GL, *GLUE

DS, *DIMSTYLE

REF, *REFEDIT

QS, *QSAVE

RE, *REGENALL

LG, *LENGTHEN

JT, *JUSTIFYTEXT

DS, *DIMSTYLE

SH, *AECLINEWORKSHRINKWRAP

ww, *wipeout

P, *PLINE

CN, *NCOPY

OK, *OVERKILL

QA, *QLATTACH

DC, *DIMCONTINUE

AA, *ALAN

T2, *TXT2MTXT

FA, *FLATTEN

XR, *CLASSICXREF

IM, *CLASSICIMAGE

V, *VPLAYER

Q, *QSELECT

OP, *OOPS

TTF, *TEXTTOFRONT

QD, *QDIM

B, *BREAK

 

;APPLICATIONS

IE, START IEXPLORE, 1,,

WORD, START WINWORD, 1,,

EMAIL, START OUTLOOK, 1,,

 

;C3D COMMANDS

3J, *AeccJoinFeatures

AM, *AIMLEADEREDITADD

CG, *CGLIST

CA, *CGANG

NG, *LABELDLGGENERALNOTE

RL, *LABELREVERSEBEARING

FP, *LABELFLIP

RB, *LABELREVERSEBEARING

CEO, *CURVEFROMENDOFOBJECT

RCC, *REVERSEORCOMPOUND

 

Some of these awe erroneous, but I've just never removed them.

Link to comment
Share on other sites

LoL

How do you guys find these old threads? (Not that there's anything wrong with it).

 

just to clarify - I was searching for a solution to another problem I was having - troubleshooting/ upgrading some tools - and found it that way... and since I obviously had a few cents to add - I did. :D

Link to comment
Share on other sites

It's an old (circa 1990) lisp routine that would allow you to join 2 lines or text into one.

 

that's a good question... "glue" ???

but if that's what it is/ was - I have commands/ routines that do just that!

:D

Link to comment
Share on other sites

I don't modify the PGP file, I use three main lisp files, one for autoloading lisp files, one for quick keys that mimick the pgp, and one for setting variables. They could be one file but it just makes it easier for me to edit shorter files.

 
Sample of the acaddoc.lsp below.
(AUTOLOAD "C:/ACAD/LSP/CCC" '("CCC" "CCL")) ;changes entities to current layer with pick, 
(AUTOLOAD "C:/ACAD/LSP/COPR" '("COPR" "CPR")) ;copy and rotate entities
(AUTOLOAD "C:/ACAD/LSP/CR" '("CR")) ;crosshair rotate by picking or entering angle
(AUTOLOAD "C:/ACAD/LSP/CX" '("CX" "S")) ;changes entities or sets to layer of selected entity
(AUTOLOAD "C:/ACAD/LSP/DVW" '("CS" "DVW")) ;use this instead of DVIEW TWIST, pick object, CS to return to UCS and PLAN world
(AUTOLOAD "C:/ACAD/LSP/FRZX" '("FRZX")) ;freeze layers including xrefs by pick
(AUTOLOAD "C:/ACAD/LSP/IE" '("IE")) ;inserts a block by pick,sets scale by pick
(AUTOLOAD "C:/ACAD/ISOVIEWS" '("ISOCAD"));generates isometrics
(AUTOLOAD "C:/ACAD/LSP/LK" '("LC")) ;locks all but current
(AUTOLOAD "C:/ACAD/LSP/LK" '("LK" "LKA" "LKX")) ;locks layer by picking, ulk to unlock by pick
(AUTOLOAD "C:/ACAD/LSP/LX" '("LX")) ;extend a line by pointing or entering length
(AUTOLOAD "C:/ACAD/LSP/ME" '("ME")) ;Multi Edit of text and attributes
(AUTOLOAD "C:/ACAD/LSP/MEND" '("MEND")) ;mends two lines to one
(AUTOLOAD "C:/ACAD/LLL/Text and attrib/MergeMText" '("MMT")) ;merge two mtext entities together
(AUTOLOAD "C:/ACAD/LSP/MVR" '("MVR")) ;moves and rotates entity
(AUTOLOAD "C:/ACAD/LSP/MVW" '("MVW")) ;make view window in viewports through paper space 
(AUTOLOAD "C:/ACAD/LSP/NEWORK" '("NEWORK"));changes polyline to wide, dashed line for new 
(AUTOLOAD "C:/ACAD/LSP/OFF" '("OFF")) ;freezes layers by pick, thaws with ON command
(AUTOLOAD "C:/ACAD/LSP/OM" '("OM")) ;offset a line on current layer specified length
(AUTOLOAD "C:/ACAD/LSP/O5" '("O5")) ;offset divides the value by half
Sample of qkeys.lsp
;***************** ABBREVIATED KEYSTROKE COMMANDS *****************************
(acad-push-dbmod)
(vmon)
(DEFUN C:00() (SETVAR "CMDECHO" 1)(COMMAND ".layer" "s" "0" ""))
(DEFUN C:2 () (SETVAR "CMDECHO" 1)(COMMAND ".FILLET" "R" "2" ".fillet"))
(DEFUN C:25() (SETVAR "CMDECHO" 1)(COMMAND ".FILLET" "R" "2.5" ".FILLET"))
(DEFUN C:3 () (SETVAR "CMDECHO" 1)(COMMAND ".FILLET" "R" "3" ".FILLET"))
(DEFUN C:35() (SETVAR "CMDECHO" 1)(COMMAND ".FILLET" "R" "3.5" ".FILLET"))
(DEFUN C:2D () (SETVAR "CMDECHO" 0)(COMMAND ".VSCURRENT" "2D")(PRIN1))
(DEFUN C:3D () (SETVAR "CMDECHO" 0)(COMMAND ".3DPOLY")(PRIN1))
(DEFUN C:33 () (SETVAR "CMDECHO" 0)(COMMAND ".3DFORBIT")(PRIN1))
(DEFUN C:333 () (SETVAR "CMDECHO" 0)(COMMAND ".3DFORBIT")(PRIN1))
(DEFUN C:AU () (SETVAR "CMDECHO" 0)(COMMAND ".AUDIT" "Y")(PRIN1))
(DEFUN C:AUC() (SETVAR "CMDECHO" 0)(COMMAND "ZOOM" "E" "layer" "s" "0" "" ".AUDIT" "Y" ".PURGE" "ALL" "*" "N" ".PURGE" "R" "*" "N" "LAYER" "S" "0" "" ".QSAVE" "CLOSE")(PRIN1))
(DEFUN C:AUQ() (SETVAR "CMDECHO" 0)(setq SPQdwg (getvar "savename"))(COMMAND "ZOOM" "E" ".AUDIT" "Y" ".PURGE" "ALL" "*" "N" ".PURGE" "R" "*" "N" "LAYER" "S" "0" "" "SAVE" SPQdwg)(PRIN1))
(DEFUN C:BI () (SETVAR "CMDECHO" 0)(COMMAND ".BREAK" PAUSE "F")(PRIN1))
(DEFUN C:BP () (SETVAR "CMDECHO" 0)(COMMAND ".BPOLY")(PRIN1))
(DEFUN C:CB () (SETVAR "CMDECHO" 0)(COMMAND ".COPYBASE")(PRIN1))
(DEFUN C:CC () (SETVAR "CMDECHO" 0)(COMMAND ".COPY")(PRIN1))
(DEFUN C:CD () (SETVAR "CMDECHO" 0)(COMMAND ".CIRCLE" PAUSE "D")(PRIN1))
(DEFUN C:CH () (SETVAR "CMDECHO" 0)(COMMAND ".CHANGE")(PRIN1))
(DEFUN C:CL () (SETVAR "CMDECHO" 0)(COMMAND ".CLOSE")(PRIN1))
(DEFUN C:CM () (SETVAR "CMDECHO" 0)(COMMAND ".CHAMFER")(PRIN1))
(DEFUN C:CPS () (SETVAR "CMDECHO" 0)(COMMAND ".CONVERTPSTYLES" "CONVERT.STB")(PRIN1))
(DEFUN C:CPST () (SETVAR "CMDECHO" 0)(COMMAND ".CONVERTPSTYLES")(PRIN1))
(DEFUN C:CON () (SETVAR "CMDECHO" 0)(COMMAND ".VSCURRENT" "CONCEPTUAL")(PRIN1))
(DEFUN C:CTB () (SETVAR "CMDECHO" 0)(COMMAND ".CONVERTCTB")(PRIN1))
(DEFUN C:C5 () (SETVAR "CMDECHO" 0)(COMMAND ".CURSORSIZE" "5")(PRIN1))
(DEFUN C:C7 () (SETVAR "CMDECHO" 0)(COMMAND ".CURSORSIZE" "75")(PRIN1))
(DEFUN C:CZ () (SETVAR "CMDECHO" 0)(setq CZ (getvar "cursorsize"))
(if (> cz 80) (setvar "CURSORSIZE" 7)(setvar "CURSORSIZE" 100))(PRIN1))
; DIMS ************
(DEFUN C:DA () (SETVAR "CMDECHO" 0)(COMMAND ".DIMALIGNED")(PRIN1))
(DEFUN C:DAA () (SETVAR "CMDECHO" 0)(COMMAND ".DIMANGULAR")(PRIN1))
(DEFUN C:DDI () (SETVAR "CMDECHO" 0)(COMMAND ".DIMDIAMETER")(PRIN1))
(DEFUN C:DL () (SETVAR "CMDECHO" 0)(COMMAND ".DIMLINEAR")(PRIN1))
(DEFUN C:DU () (SETVAR "CMDECHO" 0)(COMMAND ".DIM1" "UPDATE")(PRIN1))
; DIMS ************
(DEFUN C:DI () (SETVAR "CMDECHO" 0)(COMMAND ".DIST")(PRIN1))
;(DEFUN C:DR () (SETVAR "CMDECHO" 0)(COMMAND ".LEADER")(PRIN1))
(DEFUN C:DX () (SETVAR "CMDECHO" 0)(COMMAND ".TEXT")(PRIN1))
(DEFUN C:DWG (/ DW PRE DWPRE)(SETQ DW (GETVAR "DWGNAME")PRE (GETVAR "DWGPREFIX") DWPRE (STRCAT PRE DW))(PRINC DWPRE)(PRIN1))
Sample of settings.lsp
;3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 
;----------------------
(command "UCSICON" "all" "ON" "INTERSECTIONCOLOR" "7" "INTERSECTIONDISPLAY" "ON")
;;;;;;;;;;;;;;;;;;;;;;;
;DIMENSIONS DIMENSIONS DIMENSIONS DIMENSIONS DIMENSIONS DIMENSIONS
;---------------------
;(command 
; "dimassoc" "2" "dimasz" "0.1" "dimatfit" "3" "dimcen" "-0.1" "dimclrd" "1" 
; "dimclre" "1" "dimexe" "0.0625" "dimexo" "0.0625" "dimfrac" "1" "dimgap" "0.04" 
; "dimlunit" "4" "dimtad" "1" "dimtih" "off" "dimtfac" "0.85" "dimtix" "off" 
; "dimtmove""1" "DIMTOH" "OFF" "dimtsz" "0.000" "dimtxt" "0.1" "dimzin" "3"

;;;;;;;;;;;;;;;;;;;;;;;
;TEXT TEXT TEXT TEXT TEXT TEXT TEXT TEXT TEXT TEXT TEXT TEXT
;---------------------
(command "DTEXTED" "2" "MTJIGSTRING" "RKENT" "MIRRTEXT" "0" "TEXTFILL" "1" "TSPACETYPE" "2" "CENTERMT" "1")
;;;;;;;;;;;;;;;;;;;;;;;
;PLINE PLINE PLINE PLINE PLINE PLINE PLINE PLINE PLINE PLINE
;---------------------
(command "OffSetGapType" "0" "peditaccept" "1" "PLINEWID" "0" "PLINETYPE" "2")
;;;;;;;;;;;;;;;;;;;;;
In the CUI I have the Osnaps defined to
FUNCTION KEYS
F1=ENDP
F2=PERP
F3=NEAR
F4=MID
F5=QUAD
F6=CENTER
F7=APPINT
F9=SNAP
F11=NODE
F12=INS

Link to comment
Share on other sites

  • 7 months later...

All of this sounds fascinating, but does anyone know whether or not it could be applied to AutoCAD LT 2009? I'd love to be able to easily customize all my menus and have them auto-load on start-up, but it's harder with that stupid Windows-style ribbon in the top.

Link to comment
Share on other sites

  • 2 weeks later...

it seems mine are rather odd - i do use letters that make sense like

 

c copy

p pline

 

etc but i also use easy to reach ones like

 

q layer manager

qq xref manager

qqq ucs manager

qqqq layer states

 

d dimlinear

dd dimaligned

ddd dimradius

dddd dimcontinuous

 

and also some other logic like

 

u new ucs

uu save usc

w world ucs

ww previous ucs

x xline vertical

xx xline horizontal

 

but i have a friend who only uses the number pad - he's real fast. uses stuff like:

 

3 rectangle

8 xref

5 line

55 pline

51 pedit

2 copy

22 offset

 

but all of the commands are numerical. utterly crazy, but effective.

Link to comment
Share on other sites

First Post here on CadTutor...

 

MENUBAR

TASKBAR

Right Click layer dropdown list and "ADD TO QUICK ACCESS TOOLBAR" so that whatever ribbon/tab I'm in, I can change layers.

Uncheck "Use Icons" in the Status Bar instead of guessing what they mean (or hovering over the icon to read it) :)

SS - SELECTSIMILAR

 

I also plug in a USB Numeric pad and put it to the LEFT of my keyboard so that I don't have to take my hand off of the mouse to input Numbers

Link to comment
Share on other sites

Wow! I love this tread!

 

I use my keybord for mostly everything. I use LT, so (unfortunately) I cant use LISP for more functions, but here is my acad.pgp:

 

Q, *LINE

QQ, *PLINE

QQQ, *SPLINE

w, *WIPEOUT

WW, *OPEN

E, *EXTEND

EE, *ERASE

R, *OFFSET

RR, *ROTATE

FF, *MIRROR

SS, *BREAK

1, *LINE

2, *COPY

22, *MOVE

3, *PEDIT

D, *DIMLINEAR

DA, *DIMALIGNED

DC, *DIMCONTINUE

DE, *DIMTEDIT

DR, *DIMRADIUS

DD, *DIST

VP, *-VPORTS

DV, *DIVIDE

T, *TRIM

TE, *MTEXT

HH, *HATCHTOBACK

ML, *MLEADER

 

(Almost) All of my commands are on the left side of my keybord, so selecting a function takes the least time.. only for typing measures I use the numpad (right side), which I do with my right hand (mouse hand)

Link to comment
Share on other sites

Following on from Seant re screen menu's this is a very usefull tool for inputing predefined variables its like a keyboard with pre defined answers that are returned to the command, you can open go to next list then close as required rather than leaving it on the screen.

 

The other nice thing is that you display in the menu text such as how many bricks? 1 2 3 this will return 230 460 690 etc very good when working with standard objects.

 

You can use lisp to pop the menu open and return a value and close again. Nice thing is various lisps can access the same menu no need for hard coding.

Link to comment
Share on other sites

i also plug in a usb numeric pad and put it to the left of my keyboard so that i don't have to take my hand off of the mouse to input numbers

 

that is a good idea

Link to comment
Share on other sites

I use:

C-Copy

CR-Circle

PP-Pedit

LL-Lengthen

O-Offset

D-Distance

REF-Refedit

Q-Quick Leader

 

Left mouse button, select and right mouse button, enter. I was helping a guy here just the other day who typed in "E X P L O D E". :? Another thing I've done is create a tool button to restore my OSnap settings. I also trimmed down my .pgp file to contain only the commands I actually use or remember using. I haven't gone as far as to locate all key in commands to one side of the keyboard but I'm all about shortcuts when it comes to running CAD. Thanks to everyone for their input.

 

*EDIT - I also set my mouse buttons to be CTRL and SHIFT. My properties and Layer Manager are always open as well and my Xref dialog autohides. I use dual 19" monitors so that helps.

Link to comment
Share on other sites

It drives everyone else crazy but it speeds up my work....Have customization, will use...:)

 

111, *OSNAPZ

2D, *PS_DETCENTER

3DD, *3DDWFPUBLISH

AA, *ALIGN

CHA, *CHAMFER

C, *COPY

D, *DIST

A, *DIMALIGNED

q, *DIMANGULAR

B, *DIMBASELINE

X, *DIMCONTINUE

DI, *DIST

Z, *DIMLINEAR

RR, *DIMRADIUS

E, *PS_solid_extrude

EX, *EXTEND

F, *FILLET

HH, *HATCH

L, *LINE

LL, *QLEADER

LI, *LIST

W, *MOVE

M, *MATCHPROP

MI, *MIRROR

O, *OFFSET

PE, *PEDIT

PR, *PROPERTIES

H, *PS_HIDE

RE, *REGEN

SQ, *RECTANG

REE, *Ps_Regen

R, *ROTATE

S, *STRETCH

SC, *SCALE

SS, *OSNAP

T, *MTEXT

TR, *TRIM

XX, *EXPLODE

ZZ, *ZOOM

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...